package adt;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@EnableFeignClients
@EnableScheduling
public class AdtApplication {

    public static void main(String[] args) {

        try {
            SpringApplication.run(AdtApplication.class, args);
        } catch (Exception e) {
            //handled
        }

    }

}
