package adt.dto;

import adt.entity.Vlan;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import java.util.List;
//import com.fasterxml.jackson.annotation.JsonIgnore;

@NoArgsConstructor(access = AccessLevel.PRIVATE)
@Getter
public class Node {

    //@JsonIgnore
    private int id;

    private String ip;

    @Setter(AccessLevel.PRIVATE)
    private String vlanName;

    @Setter(AccessLevel.PRIVATE)
    //@JsonIgnore
    private String osType;

    //@JsonIgnore
    //private Vlan vlan;
    private List<Vlan> vlan;

    public static Node createNode(String vlanName, String osType) {
        Node node = new Node();
        node.setVlanName(vlanName);
        node.setOsType(osType);
        return node;
    }

}
