package adt.entity;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.NoArgsConstructor;
import com.fasterxml.jackson.annotation.JsonIgnore;
import javax.persistence.Entity;
import javax.persistence.Id;

@Entity
@Getter
@Setter
@NoArgsConstructor
public class Vlan {

    @Id
    @JsonProperty("vlan_name")
    String vlanName;

    //@JsonIgnore
    Long delay; // Value in seconds

    /*@JsonProperty("node_ip")
    String nodeIp;*/

    String netAddress;

    //@JsonIgnore
    String gateway;

    //@JsonIgnore
    String mask;

}
