package adt.newportdetection.runner;

import lombok.extern.slf4j.Slf4j;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.*;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.Executors;
import java.util.concurrent.Semaphore;
import java.util.concurrent.ThreadPoolExecutor;

@Slf4j
public class NewPortDetection {
    private ListPortDetection listPortDetection;
    private final int n_threads;
    private ProcessWindows [] threads;
    private ThreadPoolExecutor executor_newPort;
    //Constructor
    public NewPortDetection (ListPortDetection listPortDetection, int n_threads, ThreadPoolExecutor executor_newPort){
        this.n_threads = n_threads;
        this.listPortDetection = listPortDetection;
        this.executor_newPort = executor_newPort;
    }
    public void readLinesSnif() throws IOException {

        Process process = new ProcessBuilder("tcpdump", "-l","-nn","-i", "any", "ip").start();
        BufferedReader br = null;
        try {
            br = new BufferedReader(new InputStreamReader(process.getInputStream()));
            CountDownLatch latch = new CountDownLatch(n_threads);
            for (int i = 0; i < n_threads; i++){
                BufferedReader finalBr = br;
                executor_newPort.submit(() -> {
//                    ProcessWindows processWindows = new ProcessWindows(finalBr,listPortDetection);
                });
//                threads[i] = new ProcessWindows(br,listPortDetection);
                threads[i].start();
            }
        }catch(Exception e){
            e.printStackTrace();
        }
    }
}
