package adt.dto;

import adt.entity.Host;
import adt.entity.Port;
import adt.entity.ScanInfo;
import adt.entity.Vlan;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import java.util.Date;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
//@JsonPropertyOrder({ "scanInfo", "iniTimestampScan", "endTimestampScan", "host", "ports" })
public class Asset {

    List<ScanInfo> scanInfo;
    String discoveryMethod;

    public static Asset createAsset(List<ScanInfo> scanInfo, String discovery_method){

        Asset asset = new Asset();

        asset.setScanInfo(scanInfo);
        asset.setDiscoveryMethod(discovery_method);

        return asset;
    }

}
