package adt.repository;

import adt.entity.Host;
import adt.entity.Port;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Date;

public interface PortRepository extends JpaRepository<Port, Integer> {

    List<Port> findAllByHost(Host host);
    List<Port> findAllByHostAndDiscoveryMethodTrigger(Host host, String discoveryMethod);
    long deleteByDiscoveryMethodTrigger(String discoveryMethod);
    long deleteAllByHostAndDiscoveryMethodTrigger(Host host, String discoveryMethod);

}
