package adt.service;

import adt.entity.Vlan;
import adt.repository.VlanRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class VlanService {

    private final VlanRepository vlanRepository;

    @Autowired
    public VlanService(VlanRepository vlanRepository) {
        this.vlanRepository = vlanRepository;
    }

    public Vlan saveConfig(Vlan vlan) {
        return vlanRepository.save(vlan);
    }

}
