package adt.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.ObjectWriter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import com.fasterxml.jackson.databind.*;
import org.json.JSONObject;
import com.fasterxml.jackson.core.JsonProcessingException;
import java.io.FileWriter;
import java.io.IOException;

@Service
public class WrittingService {

    private ObjectWriter ow;

    @Value("${output.path}")
    private String outputPath;

    @Autowired
    public WrittingService() {
        this.ow = new ObjectMapper().writer().withDefaultPrettyPrinter();
    }


    public void writeJSONOutput(String filename, Object o) {

        ObjectWriter ow = new ObjectMapper().writer().withDefaultPrettyPrinter();

        JSONObject json = null;
        try {
            json = new JSONObject(ow.writeValueAsString(o));//ow.writeValueAsString(vlan);

        }catch (JsonProcessingException e){
            // Handled exception
        }

        if(json != null) {

            String myFile = outputPath + filename;

            try (FileWriter file = new FileWriter(myFile, true)) {

                file.write(json.toString());
                file.write("\n\n");
                System.out.println("Successfully Copied JSON Object to file " + myFile);

            }catch(IOException e){
                // Handled exception
            }
        }

    }


}
